800.584.4279

Dell SupportAssist vulnerability found

As first reported on Friday, May 3, a recently found vulnerability with Dell SupportAssist software was in the news, and Suite3 was quickly on the case. A survey of our clients that leverage Dell endpoints have found that there are some clients who do in fact have affected systems in their environments.

To avoid the potential of hackers trying to exploit the weaknesses and take full control over their computer systems, we created a script to uninstall the application altogether from systems that are managed by our ManageSuite remote monitoring platform as part of their service agreement.

As of Tuesday, May 7, we had successfully tested the script in a test environment and have begun removing the application from affected client systems.